package TTXImage;
#
# This module is a part of Trouble Ticket Express package
# http://www.troubleticketexpress.com
#
# COPYRIGHT: 2006-2008, United Web Coders
# http://www.unitedwebcoders.com
#
# $Revision: 683 $
# $Date: 2009-03-04 12:32:06 +0300 (Wed, 04 Mar 2009) $
#

$TTXImage::VERSION='3.0';
BEGIN {
  $TTXImage::REVISION = '$Revision: 683 $';
  if ($TTXImage::REVISION =~ /(\d+)/) {
    $TTXImage::REVISION = $1;
  }
};

use strict;
use TTXData;

my %imgtypes = (
  gif => 'gif',
  jpg => 'jpeg',
  tiff => 'tiff',
  tif => 'tiff',
  png => 'png',
  bmp => 'bmp'
);

# ========================================================================= show

sub show {
  my $fid = shift;
  my $gid = shift;
  my $dir = TTXData::get('CONFIG')->get('basedir')."/files";
  return if !open(F, "$dir/$fid");
  $gid = $imgtypes{lc $gid};
  print "Content-Type:image/$gid\n\n";
  binmode(F);
  my $buff;
  while (read(F, $buff,1024)) {
     print $buff;
  }
  close F;
}
1;
